import index from './modules/index'
import data from './modules/data'
import stat from './modules/stat'
import user from './modules/user'
import role from './modules/role'
import setting from './modules/setting'

import BasicLayout from '@/layouts/home'

const frameIn = [
    {
        path: '/',
        redirect: '/index/list',
    },
    {
        path: '/',
        component: () => BasicLayout,
        meta: { title: '首页' },
        children: []
    },
    index,
    data,
    stat,
    user,
    role,
    setting
]

/**
 * 在主框架之外显示
 */

const frameOut = [
    // 登录
    {
        path: '/login',
        name: 'login',
        meta: {
            title: '登录'
        },
        component: () => import('@/pages/account/login')
    }
];

/**
 * 错误页面
 */

const errorPage = [
    {
        path: '/403',
        name: '403',
        meta: {
            title: '403'
        },
        component: () => import('@/pages/exception/error/403')
    },
    {
        path: '*',
        name: '404',
        meta: {
            title: '404'
        },
        component: () => import('@/pages/exception/error/404')
    }
];

// 导出需要显示菜单的
export const frameInRoutes = frameIn;

// 重新组织后导出
export default [
    ...frameIn,
    ...frameOut,
    ...errorPage
];